Main Page Groups Namespaces

# adaptor_trait.h File Reference

## Namespaces

namespace | sigc

## Classes

struct | sigc::adaptor_functor<T_functor>
| Converts an arbitrary functor into an adaptor type. More...
struct | sigc::adaptor_functor<T_functor>::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>
struct | sigc::adaptor_trait<T_functor, true>
| Trait that specifies what is the adaptor version of a functor type. More...
struct | sigc::adaptor_trait<T_functor, false>
| Trait that specifies what is the adaptor version of a functor type. More...
struct | sigc::adapts<T_functor>
| Base type for adaptors. More...

## Defines

#define | SIGC_WORKAROUND_OPERATOR_PARENTHESES sun_forte_workaround

## Functions

template<class T_action, class T_functor>
void | visit_each (const T_action& _A_action, const adaptor_functor<T_functor>& _A_target)
| Performs a functor on each of the targets of a functor.

## Define Documentation

#define SIGC_WORKAROUND_OPERATOR_PARENTHESES sun_forte_workaround